#2481 closed defect (fixed)

RSB release to download tar files for the RTEMS kernel and tools.

Reported by: Chris Johns Owned by: Chris Johns
Priority: high Milestone: 4.11
Component: tool/rsb Version: 4.11
Severity: major Keywords: RSB release
Cc: Blocked By:
Blocking:

Description

Detect a release and download a release tarball of the RTEMS kernel and RTEMS tools packages.

Change History (4)

comment:1 Changed on Dec 2, 2015 at 1:12:09 AM by Chris Johns

Status: newaccepted

comment:2 Changed on Dec 8, 2015 at 3:33:06 AM by Chris Johns

The rtems-tools*.cfg files need to be renamed. The git file is wrong and should be rtems-tools-1.cfg. I will copy it to rtems-tools-2.cfg.

comment:3 Changed on Mar 14, 2016 at 5:30:13 AM by Chris Johns <chrisj@…>

Resolution: fixed
Status: acceptedclosed

In 2b5f69e672af779b90cb1d4514f70072bade8fd9/rtems-source-builder:

sb: Update download to check the config file for release URL control.

Provide without_release_url support in the configuration file so
the release tarball download of the kernel and tools uses the
release's top level directory and not the sources directory.

Closes #2481.

comment:4 Changed on Mar 14, 2016 at 5:30:25 AM by Chris Johns <chrisj@…>

In 6e490ae1e1c11825eeeef36e802a5a3c426435de/rtems-source-builder:

sb: Update download to check the config file for release URL control.

Provide without_release_url support in the configuration file so
the release tarball download of the kernel and tools uses the
release's top level directory and not the sources directory.

Closes #2481.

Note: See TracTickets for help on using tickets.